Public Member Functions | Public Attributes

# IBandwidthControl Interface Reference

Controls the bandwidth groups of one machine used to cap I/O done by a VM. More...

List of all members.

## Public Member Functions
void | createBandwidthGroup (in wstring name, in BandwidthGroupType type, in long long maxBytesPerSec)
| Creates a new bandwidth group.
void | deleteBandwidthGroup (in wstring name)
| Deletes a new bandwidth group.
void | getBandwidthGroup (in wstring name,[retval] out IBandwidthGroup bandwidthGroup)
| Get a bandwidth group by name.
void | getAllBandwidthGroups ([retval] out IBandwidthGroup[] bandwidthGroups)
| Get all managed bandwidth groups.
## Public Attributes
readonly attribute unsigned long | numGroups
| The current number of existing bandwidth groups managed.

## Detailed Description

Controls the bandwidth groups of one machine used to cap I/O done by a VM.

This includes network and disk I/O.

Interface ID:
  `{E2EB3930-D2F4-4F87-BE17-0707E30F019F}`

## Member Function Documentation

void IBandwidthControl::createBandwidthGroup | ( | in wstring | name,
|  | in BandwidthGroupType | type,
|  | in long long | maxBytesPerSec |
| ) |  |  |

Creates a new bandwidth group.

Parameters:

  | name | Name of the bandwidth group.
  | type | The type of the bandwidth group (network or disk).
  | maxBytesPerSec | The maximum number of bytes which can be transfered by all entities attached to this group during one second.

void IBandwidthControl::deleteBandwidthGroup | ( | in wstring | name | ) |

Deletes a new bandwidth group.

Parameters:

  | name | Name of the bandwidth group to delete.

void IBandwidthControl::getBandwidthGroup | ( | in wstring | name,
|  | [retval] out IBandwidthGroup | bandwidthGroup |
| ) |  |  |

Get a bandwidth group by name.

Parameters:

  | name | Name of the bandwidth group to get.
  | bandwidthGroup | Where to store the bandwidth group on success.

void IBandwidthControl::getAllBandwidthGroups | ( | [retval] out IBandwidthGroup[] | bandwidthGroups | ) |

Get all managed bandwidth groups.

Parameters:

  | bandwidthGroups | The array of managed bandwidth groups.

## Member Data Documentation

readonly attribute unsigned long IBandwidthControl::numGroups

The current number of existing bandwidth groups managed.